<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">

    <title>Profile Page</title>

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.0/css/bootstrap.min.css"
          integrity="sha384-9gVQ4dYFwwWSjIDZnLEWnxCjeSWFphJiwGPXr1jddIhOegiu1FwO5qRGvFXOdJZ4" crossorigin="anonymous">
    <link rel="stylesheet" href="http://localhost:63342/virtual_wallet/virtual_wallet.main/templates/css/profile-page.css">

    <script defer src="https://use.fontawesome.com/releases/v5.0.13/js/solid.js"
            integrity="sha384-tzzSw1/Vo+0N5UhStP3bvwWPq+uvzCMfrN1fEFe+xBmv1C/AtVX5K0uZtmcHitFZ"
            crossorigin="anonymous"></script>
    <script defer src="https://use.fontawesome.com/releases/v5.0.13/js/fontawesome.js"
            integrity="sha384-6OIrr52G08NpOFSZdxxz1xdNSndlD4vdcf/q2myIUVO0VsqaGHJsB0RaBE01VTOY"
            crossorigin="anonymous"></script>
    <script src="https://kit.fontawesome.com/ab35fad191.js" crossorigin="anonymous"></script>
</head>

<body>
<div class="wrapper">
    <!-- Sidebar  -->
    <nav id="sidebar">
        <div class="sidebar-header company-name">
<!--            <a href="#">Company Name</a>-->
            <a th:href="@{/}">
                <img src="http://localhost:63342/virtual_wallet/virtual_wallet.main/templates/logo.png" alt="rip" width="200px">
            </a>
        </div>

        <ul class="list-unstyled components">
            <li class="">
                <a href="#reportsSubmenu" data-toggle="collapse" aria-expanded="false" class="dropdown-toggle">
                    <div>
                        <i class="fas fa-book"></i>
                        <label>Manage Finances</label>
                    </div>
                </a>
                <ul class="collapse list-unstyled" id="reportsSubmenu">
                    <li>
                        <a th:href="@{/make-BankTransfer}">Withdraw Funds</a>
                    </li>
                    <li>
                        <a th:href="@{/my-transactions}">Your Transactions</a>
                    </li>
                    <li>
                        <a th:href="@{/make-transaction}">Make a Transaction</a>
                    </li>
                </ul>
            </li>
            <li class="">
                <a href="#walletsSubmenu" data-toggle="collapse" aria-expanded="false" class="dropdown-toggle">
                    <div>
                        <i class="fas fa-wallet"></i>
                        <label>Wallets</label>
                    </div>
                </a>
                <ul class="collapse list-unstyled" id="walletsSubmenu">
                    <li>
                        <a th:href="@{/my-wallets}">Your Wallets</a>
                    </li>
                    <li>
                        <a th:href="@{/add-wallet}">Create New Wallet</a>
                    </li>
                </ul>
            </li>
            <li class="">
                <a href="#cardsSubmenu" data-toggle="collapse" aria-expanded="false" class="dropdown-toggle">
                    <div>
                        <i class="fas fa-credit-card"></i>
                        <label>Cards</label>
                    </div>
                </a>
                <ul class="collapse list-unstyled" id="cardsSubmenu">
                    <li>
                        <a th:href="@{/my-cards}">My cards</a>
                    </li>
                    <li>
                        <a th:href="@{/add-card}">Add New Card</a>
                    </li>
                </ul>
            </li>
            <li>
                <a th:href="@{/my-profile}">
                    <i class="fas fa-user" style="color: #ffffff;"></i>
                    <label>Profile</label>
                </a>
            </li>

            <li sec:authorize="hasRole('ADMIN')">
                <a href="#adminSubmenu" data-toggle="collapse" aria-expanded="false" class="dropdown-toggle">
                    <div>
                        <i class="fas fa-user-cog"></i>
                        <label>Admin panel</label>
                    </div>
                </a>
                <ul class="collapse list-unstyled" id="adminSubmenu">
                    <li>
                        <a th:href="@{/users}">User management</a>
                    </li>
                    <li>
                        <a th:href="@{/transactions}">All transactions</a>
                    </li>
                </ul>

            </li>

        </ul>
    </nav>

    <!-- Page Content  -->
    <div id="content">
        <nav class="navbar navbar-expand-lg">
            <div class="container-fluid">

                <button type="button" id="sidebarCollapse">
                    <i id="collapse-icon" class="fas fa-bars fa-2x"></i>
                </button>

                <button class="btn d-inline-block d-lg-none ml-auto" type="button" data-toggle="collapse"
                        data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent"
                        aria-expanded="false" aria-label="Toggle navigation">
                    <i class="fas fa-bars"></i>
                </button>

                <div class="collapse navbar-collapse" id="navbarSupportedContent">
                    <ul class="nav navbar-nav ml-auto">
                        <li class="nav-item active">
                            <a class="nav-link" th:href="@{/make-transaction}">
                                <i class="fas fa-plus-circle"></i>
                                Make Transaction
                            </a>
                        </li>
                        <li class="nav-item active">
                            <a class="nav-link" th:href="@{/my-profile}">
                                <i class="fas fa-user-circle"></i>
                                Profile
                            </a>
                        </li>
                        <li class="nav-item active">
                            <a class="nav-link" th:href="@{/logout}">
                                <i class="fas fa-sign-out-alt"></i>
                                Logout
                            </a>
                        </li>
                    </ul>
                </div>
            </div>
        </nav>

        <div class="container main-container">

            <p class="page-main-title">Profile</p>
            <div class="container user-area">
                <!-- TABS -->
                <div class="container tabsWrap">
                    <div class="row tabs">
                        <div class="icons" style="padding: 15px;">
                            <button id="open-profile" class="managment-buttons" autofocus>
                                <i class="fas fa-user fa-lg"></i>
                                <span>Profile</span>
                            </button>
                            <button id="edit-profile" class="managment-buttons">
                                <i class="fas fa-user-edit fa-lg"></i>
                                <span>Edit Profile</span>
                            </button>
                            <button id="reset-profile-pass" class="managment-buttons">
                                <i class="fas fa-edit fa-lg"></i>
                                <span>Reset Password</span>
                            </button>
                        </div>
                    </div>

                    <div th:if="${param.successful_update}" class="alert alert-success" role="alert" id="success_alert">
                        <strong>Success!</strong> You have successfully updated your profile.
                    </div>
                    <div th:if="${param.successful_password_update}" class="alert alert-success" role="alert" id="password_success_alert">
                        <strong>Success!</strong> You have successfully changed your password.
                    </div>
                    <div th:if="${param.error_not_verified}" class="alert alert-danger" role="alert" id="not_verified">
                        <strong>Error!</strong> You need to verify your profile before making a transaction.
                    </div>
                    <div th:if="${param.error_blocked_transaction}" class="alert alert-danger" role="alert" id="blocked">
                        <strong>Error!</strong> You cannot make a transaction because your account has been blocked.
                    </div>
                    <script type="text/javascript">
                        // close the div in 5 secs
                        window.setTimeout("closeHelpDiv();", 5000);

                        function closeHelpDiv(){
                            document.getElementById("success_alert").style.display=" none";
                        }
                    </script>
<!--                    <i th:if="${param.successful_update}" class="successful_update">-->
<!--                        You have successfully updated your profile!-->
<!--                    </i>-->
                    <div class="row user-profile-area">
                        <div class="col-lg-4 col-sm-8">
                            <div class="profileImage">
                                <img th:src="'data:image/png;base64, ' + ${user.getPhoto()}" alt="user photo">
                                <h2 th:text="${user.getFirstName()} + ' ' + ${user.getLastName()}">John Doe</h2>
                                <span>Bulgaria</span>
                            </div>
                        </div>
                        <div class="col-lg-8 col-sm-8">
                            <ul class="userInfo">
                                <li><span>First Name</span><strong th:text="${user.getFirstName()}">John</strong></li>
                                <li><span>Last Name</span><strong th:text="${user.getLastName()}">Doe</strong></li>
                                <li><span>Username</span><strong th:text="${user.getUsername()}">testUsername</strong></li>
                                <li><span>Email</span><strong th:text="${user.getEmail()}">jon.doe@gmail.com</strong></li>
                                <li><span>Phone</span><strong th:text="${user.getPhoneNumber()}">+145 54545 8445</strong></li>
                                <li><span>Status</span><strong th:text="${verified}">Active</strong></li>
                            </ul>
                        </div>
                    </div>


                    <form th:action="@{/update-profile}" th:object="${toBeUpdatedUser}" th:method="post" enctype="multipart/form-data" >
                    <div class="row edit-user-area hidden">
                        <div class="col-lg-4 col-sm-8">
                            <div class="profileImage">
                                <img th:src="'data:image/png;base64, ' + ${user.getPhoto()}" alt="user photo">
                                <div>
                                    <label for="file-upload" class="custom-file-upload">
                                        <i class="fas fa-camera fa-2x"></i>
                                    </label>
                                    <input id="file-upload" type="file" th:field="*{photoUpdate}"/>
                                </div>
                            </div>
                        </div>
                        <div class="col-lg-8 col-sm-8">
                                <div class="form-row">
                                    <div class="form-group col-lg-12 col-sm-12">
                                        <label>First Name</label>
                                        <input type="text" class="form-control" placeholder="First Name" th:value="${user.getFirstName()}" th:field="*{firstName}">
                                        <small>Error Message</small>
                                    </div>
                                    <div class="form-group col-lg-12 col-sm-12">
                                        <label>Last Name</label>
                                        <input type="text" class="form-control" placeholder="Last Name" th:value="${user.getLastName()}" th:field="*{lastName}">
                                        <small>Error Message</small>
                                    </div>
                                    <i th:if="${param.phone_number_taken}" class="wrong-credentials">
                                        Sorry but it seems that this phone number is already taken. Please choose a different one.
                                    </i>
                                    <div class="form-group col-lg-12 col-sm-12">
                                        <label>Phone number</label>
                                        <input type="text" class="form-control" placeholder="Phone number" th:value="${user.getPhoneNumber()}" th:field="*{phoneNumber}">
                                        <small>Error Message</small>
                                    </div>
                                </div>
                                <button type="submit" class="custom-button" style="width: 40%;">Update</button>
                        </div>
                    </div>
                    </form>

                    <div class="row change-pass-area hidden">
                        <div class="col-12">
                            <form th:action="@{/reset-password}" method="post" th:object="${passwordResetDto}">
                                <div class="form-row">
                                    <div class="form-group col-lg-6 col-sm-12">
                                        <i th:if="${param.wrong_email}" class="wrong-credentials">
                                            Sorry but it seems that the email you provided does not belong to your account.
                                        </i>
                                        <label>Email</label>
                                        <input type="email" class="form-control" placeholder="Email" th:field="*{email}">
                                        <small>Error Message</small>
                                    </div>
                                    <div class="form-group col-lg-6 col-sm-12">
                                        <i th:if="${param.incorrect_password}" class="wrong-credentials">
                                            Incorrect password!
                                        </i>
                                        <label for="inputPassword4">Old Password</label>
                                        <input type="password" class="form-control" placeholder="Password" th:field="*{firstName}">
                                        <small>Error Message</small>
                                    </div>
                                </div>
                                <div class="form-row">
                                    <div class="form-group col-lg-6 col-sm-12">
                                        <i th:if="${param.passwords_dont_match}" class="wrong-credentials">
                                            Passwords don't match!
                                        </i>
                                        <label>New Password</label>
                                        <input type="password" class="form-control" placeholder="New Password" th:field="*{password}">
                                        <small>Error Message</small>
                                    </div>
                                    <div class="form-group col-lg-6 col-sm-12">
                                        <label>Confirm Password</label>
                                        <input type="password" class="form-control" placeholder="Confirm Password" th:field="*{passwordConfirmation}">
                                        <small>Error Message</small>
                                    </div>
                                </div>
                                <button type="submit" class="custom-button" style="width: 30%;">Update</button>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>

    </div>
</div>

<!-- jQuery CDN - Slim version (=without AJAX) -->
<script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
        integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
        crossorigin="anonymous"></script>
<!-- Popper.JS -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.0/umd/popper.min.js"
        integrity="sha384-cs/chFZiN24E4KMATLdqdvsezGxaGsi4hLGOzlXwp5UZB1LY//20VyM2taTB4QvJ"
        crossorigin="anonymous"></script>
<!-- Bootstrap JS -->
<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.0/js/bootstrap.min.js"
        integrity="sha384-uefMccjFJAIv6A+rW+L4AHf99KvxDjWSu1z9VI8SKNVmz4sk7buKt/6v9KI65qnm"
        crossorigin="anonymous"></script>

<script type="text/javascript" src="http://localhost:63342/virtual_wallet/virtual_wallet.main/templates/js/profile-page.js"></script>
</body>

</html>